Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.skills.get({
slug: "<value>",
});
console.log(result);
}
run();curl --request GET \
--url https://api.crevio.co/v1/skills/{slug} \
--header 'Authorization: <api-key>'import requests
url = "https://api.crevio.co/v1/skills/{slug}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.crevio.co/v1/skills/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "<string>",
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"version": "<string>",
"creator_name": "<string>",
"creator_avatar_url": "<string>",
"install_count": 123,
"install_status": "<string>",
"external_source": "<string>",
"external_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}Skills
Get a skill
Retrieves a single published skill by its slug, including its install_status for your account.
GET
/
skills
/
{slug}
Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.skills.get({
slug: "<value>",
});
console.log(result);
}
run();Authorizations
API key in the format: Bearer {api_token}
Path Parameters
The skill slug (e.g., "og-image-design").
Response
Skill details
Available options:
draft, published, archived Was this page helpful?
⌘I

